Resent-Date: Sun, 29 Nov 1998 13:07:18 +0100 (MET)
Date: Sun, 29 Nov 1998 12:07:13 GMT
From: Jesper Skov <jskov@cygnus.co.uk>
To: linux-m68k@lists.linux-m68k.org
Subject: SCSI config?
Resent-From: linux-m68k@phil.uni-sb.de

Any reason for not doing something like the below?

Jesper

--- /home/jskov/kernel/dist/linux-2.1.130/arch/m68k/config.in	Fri Nov 27 15:23:28 1998
+++ arch/m68k/config.in	Sun Nov 29 12:48:49 1998
@@ -114,79 +114,9 @@
 
 mainmenu_option next_comment
 comment 'SCSI support'
-
 tristate 'SCSI support' CONFIG_SCSI
-
 if [ "$CONFIG_SCSI" != "n" ]; then
-
-comment 'SCSI support type (disk, tape, CD-ROM)'
-
-dep_tristate 'SCSI disk support' CONFIG_BLK_DEV_SD $CONFIG_SCSI
-dep_tristate 'SCSI tape support' CONFIG_CHR_DEV_ST $CONFIG_SCSI
-dep_tristate 'SCSI CD-ROM support' CONFIG_BLK_DEV_SR $CONFIG_SCSI
-if [ "$CONFIG_BLK_DEV_SR" != "n" ]; then
-  bool '  Enable vendor-specific extensions (for SCSI CDROM)' CONFIG_BLK_DEV_SR_VENDOR
-fi
-dep_tristate 'SCSI generic support' CONFIG_CHR_DEV_SG $CONFIG_SCSI
-
-comment 'Some SCSI devices (e.g. CD jukebox) support multiple LUNs'
-
-bool 'Probe all LUNs on each SCSI device' CONFIG_SCSI_MULTI_LUN
-
-bool 'Verbose SCSI error reporting (kernel size +=12K)' CONFIG_SCSI_CONSTANTS
-bool 'SCSI logging facility' CONFIG_SCSI_LOGGING
-
-mainmenu_option next_comment
-comment 'SCSI low-level drivers'
-
-if [ "$CONFIG_AMIGA" = "y" ]; then
-  tristate 'A3000 WD33C93A support' CONFIG_A3000_SCSI
-  if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
-    bool 'A4000T SCSI support' CONFIG_A4000T_SCSI
-  fi
-fi
-if [ "$CONFIG_ZORRO" = "y" ]; then
-  tristate 'A2091 WD33C93A support' CONFIG_A2091_SCSI
-  tristate 'GVP Series II WD33C93A support' CONFIG_GVP11_SCSI
-  bool 'CyberStorm SCSI support' CONFIG_CYBERSTORM_SCSI
-  bool 'CyberStorm Mk II SCSI support' CONFIG_CYBERSTORMII_SCSI
-  bool 'Blizzard 2060 SCSI support' CONFIG_BLZ2060_SCSI
-  bool 'Blizzard 1230IV/1260 SCSI support' CONFIG_BLZ1230_SCSI
-  bool 'Fastlane SCSI support' CONFIG_FASTLANE_SCSI
-  if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
-    bool 'A4091 SCSI support' CONFIG_A4091_SCSI
-    bool 'WarpEngine SCSI support' CONFIG_WARPENGINE_SCSI
-    bool 'Blizzard PowerUP 603e+ SCSI' CONFIG_BLZ603EPLUS_SCSI
-#    bool 'Cyberstorm Mk III SCSI support' CONFIG_CYBERSTORMIII_SCSI
-#    bool 'GVP Turbo 040/060 SCSI support' CONFIG_GVP_TURBO_SCSI
-  fi
-fi
-if [ "$CONFIG_ATARI" = "y" ]; then
-  dep_tristate 'Atari native SCSI support' CONFIG_ATARI_SCSI $CONFIG_SCSI
-  if [ "$CONFIG_ATARI_SCSI" != "n" ]; then
-    bool '  Long delays for Toshiba CD-ROMs' CONFIG_ATARI_SCSI_TOSHIBA_DELAY
-    bool '  Reset SCSI-devices at boottime' CONFIG_ATARI_SCSI_RESET_BOOT
-    if [ "$CONFIG_EXPERIMENTAL" = "y" -a "$CONFIG_HADES" = "y" ]; then
-      bool '  Hades SCSI DMA emulator (EXPERIMENTAL)' CONFIG_TT_DMA_EMUL
-    fi
-  fi
-fi
-if [ "$CONFIG_MAC" = "y" ]; then
-  bool 'MAC NCR5380 SCSI' CONFIG_MAC_SCSI
-  bool 'MAC NCR53c9[46] SCSI' CONFIG_SCSI_MAC_ESP
-fi
-#dep_tristate 'SCSI debugging host adapter' CONFIG_SCSI_DEBUG $CONFIG_SCSI
-
-if [ "$CONFIG_VME" = "y" -a "$CONFIG_MVME16x" = "y" ]; then
-  bool 'NCR53C710 SCSI driver for MVME16x' CONFIG_MVME16x_SCSI
-fi
-
-if [ "$CONFIG_VME" = "y" -a "$CONFIG_BVME6000" = "y" ]; then
-  bool 'NCR53C710 SCSI driver for BVME6000' CONFIG_BVME6000_SCSI
-fi
-
-endmenu
-
+  source drivers/scsi/Config.in
 fi
 endmenu
 
--- /home/jskov/kernel/dist/linux-2.1.130/drivers/scsi/Config.in	Thu Nov 19 19:18:05 1998
+++ drivers/scsi/Config.in	Sun Nov 29 12:56:19 1998
@@ -134,6 +134,7 @@
   dep_tristate 'SCSI debugging host adapter' CONFIG_SCSI_DEBUG $CONFIG_SCSI
 fi
 if [ "$CONFIG_PPC" = "y" ]; then
+  comment 'SCSI low-level drivers -- PowerPC'
   dep_tristate 'MESH (Power Mac internal SCSI) support' CONFIG_SCSI_MESH $CONFIG_SCSI
   if [ "$CONFIG_SCSI_MESH" != "n" ]; then
     int '  maximum synchronous transfer rate (MB/s) (0 = async)' CONFIG_SCSI_MESH_SYNC_RATE 5
@@ -145,5 +146,53 @@
 fi
 if [ "$CONFIG_MIPS_JAZZ" = "y" ]; then
   bool 'MIPS JAZZ FAS216 SCSI support' CONFIG_JAZZ_ESP
+fi
+if [ "$CONFIG_AMIGA" = "y" -o "$CONFIG_APUS" = "y" ]; then
+  comment 'SCSI low-level drivers -- Amiga'
+  tristate 'A3000 WD33C93A support' CONFIG_A3000_SCSI
+  if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
+    bool 'A4000T SCSI support' CONFIG_A4000T_SCSI
+  fi
+fi
+if [ "$CONFIG_ZORRO" = "y" ]; then
+  comment 'SCSI low-level drivers -- Amiga/Zorro'
+  tristate 'A2091 WD33C93A support' CONFIG_A2091_SCSI
+  tristate 'GVP Series II WD33C93A support' CONFIG_GVP11_SCSI
+  bool 'CyberStorm SCSI support' CONFIG_CYBERSTORM_SCSI
+  bool 'CyberStorm Mk II SCSI support' CONFIG_CYBERSTORMII_SCSI
+  bool 'Blizzard 2060 SCSI support' CONFIG_BLZ2060_SCSI
+  bool 'Blizzard 1230IV/1260 SCSI support' CONFIG_BLZ1230_SCSI
+  bool 'Fastlane SCSI support' CONFIG_FASTLANE_SCSI
+  if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
+    bool 'A4091 SCSI support' CONFIG_A4091_SCSI
+    bool 'WarpEngine SCSI support' CONFIG_WARPENGINE_SCSI
+    bool 'Blizzard PowerUP 603e+ SCSI' CONFIG_BLZ603EPLUS_SCSI
+#    bool 'Cyberstorm Mk III SCSI support' CONFIG_CYBERSTORMIII_SCSI
+#    bool 'GVP Turbo 040/060 SCSI support' CONFIG_GVP_TURBO_SCSI
+  fi
+fi
+if [ "$CONFIG_ATARI" = "y" ]; then
+  comment 'SCSI low-level drivers -- Atari'
+  dep_tristate 'Atari native SCSI support' CONFIG_ATARI_SCSI $CONFIG_SCSI
+  if [ "$CONFIG_ATARI_SCSI" != "n" ]; then
+    bool '  Long delays for Toshiba CD-ROMs' CONFIG_ATARI_SCSI_TOSHIBA_DELAY
+    bool '  Reset SCSI-devices at boottime' CONFIG_ATARI_SCSI_RESET_BOOT
+    if [ "$CONFIG_EXPERIMENTAL" = "y" -a "$CONFIG_HADES" = "y" ]; then
+      bool '  Hades SCSI DMA emulator (EXPERIMENTAL)' CONFIG_TT_DMA_EMUL
+    fi
+  fi
+fi
+if [ "$CONFIG_MAC" = "y" ]; then
+  comment 'SCSI low-level drivers -- Mac'
+  bool 'MAC NCR5380 SCSI' CONFIG_MAC_SCSI
+  bool 'MAC NCR53c9[46] SCSI' CONFIG_SCSI_MAC_ESP
+fi
+if [ "$CONFIG_VME" = "y" -a "$CONFIG_MVME16x" = "y" ]; then
+  comment 'SCSI low-level drivers -- MVME16x'
+  bool 'NCR53C710 SCSI driver for MVME16x' CONFIG_MVME16x_SCSI
+fi
+if [ "$CONFIG_VME" = "y" -a "$CONFIG_BVME6000" = "y" ]; then
+  comment 'SCSI low-level drivers -- MVME6000'
+  bool 'NCR53C710 SCSI driver for BVME6000' CONFIG_BVME6000_SCSI
 fi
 endmenu

